org.codehaus.plexus.component.configurator.converters

## Interface ConfigurationConverter

All Known Implementing Classes:
  AbstractBasicConverter, AbstractConfigurationConverter, ArrayConverter, BooleanConverter, ByteConverter, CharConverter, ClassRealmConverter, CollectionConverter, DateConverter, DoubleConverter, FileConverter, FloatConverter, IntConverter, LongConverter, MapConverter, ObjectWithFieldsConverter, PlexusConfigurationConverter, PropertiesConverter, ShortConverter, StringBufferConverter, StringConverter, UrlConverter

    public interface ConfigurationConverter

### Method Summary

Methods
`boolean` `canConvert(Class type)`
`Object` `fromConfiguration(ConverterLookup converterLookup, PlexusConfiguration configuration, Class type, Class baseType, ClassLoader classLoader, ExpressionEvaluator expressionEvaluator)`
`Object` `fromConfiguration(ConverterLookup converterLookup, PlexusConfiguration configuration, Class type, Class baseType, ClassLoader classLoader, ExpressionEvaluator expressionEvaluator, ConfigurationListener listener)`

### Method Detail

#### canConvert

    boolean canConvert(Class type)

#### fromConfiguration

    Object fromConfiguration(ConverterLookup converterLookup,
                           PlexusConfiguration configuration,
                           Class type,
                           Class baseType,
                           ClassLoader classLoader,
                           ExpressionEvaluator expressionEvaluator)
                             throws ComponentConfigurationException

Parameters:
  `converterLookup` - Repository of available converters
  `configuration` -
  `type` - the type of object to read
  `baseType` - the type of object the the source is
  `classLoader` - ClassLoader which should be used for loading classes
  `expressionEvaluator` - the expression evaluator to use for expressions
Returns:
  the object
Throws:
  `ComponentConfigurationException`

#### fromConfiguration

    Object fromConfiguration(ConverterLookup converterLookup,
                           PlexusConfiguration configuration,
                           Class type,
                           Class baseType,
                           ClassLoader classLoader,
                           ExpressionEvaluator expressionEvaluator,
                           ConfigurationListener listener)
                             throws ComponentConfigurationException

Parameters:
  `converterLookup` - Repository of available converters
  `configuration` -
  `type` - the type of object to read
  `baseType` - the type of object the the source is
  `classLoader` - ClassLoader which should be used for loading classes
  `expressionEvaluator` - the expression evaluator to use for expressions
Returns:
  the object
Throws:
  `ComponentConfigurationException`